### Function

# Gck modules_initialize_registered_finish

#### Declaration [src]

    GList*
    gck_modules_initialize_registered_finish (
      GAsyncResult* result,
      GError** error
    )

#### Description [src]

Finishes the asynchronous operation to initialize the registered PKCS#11 modules.

#### Parameters

`result` | `GAsyncResult`
| The asynchronous result.
| The data is owned by the caller of the function.
`error` | `GError **`
| The return location for a `GError*`, or `NULL`.

#### Return value

Returns: | A list of `GckModule*`
| A list of newly initialized `GckModule` objects.
| The caller of the function takes ownership of the data, and is responsible for freeing it.